cannot find module

1532
3
Jump to solution
08-02-2016 12:39 PM
AndyBohnhoff
New Contributor II

The first step to install Web App Builder 2.1 is to "double-click the startup.bat" file. When I do that I get an error that says

Error: Cannot find module 'isarray'

Does anyone know what this error is or what it means? I do have node.js installed on my machine.

I am following these instructions:

Get started—Web AppBuilder for ArcGIS (Developer Edition) | ArcGIS for Developers

Thanks.

Andy

0 Kudos
1 Solution

Accepted Solutions
RobertScheitlin__GISP
MVP Esteemed Contributor

Andy,

  Have you tried downloading and extracting again? A couple of people have had corrupted zip issues before.

View solution in original post

3 Replies
RobertScheitlin__GISP
MVP Esteemed Contributor

Andy,

  Have you tried downloading and extracting again? A couple of people have had corrupted zip issues before.

RebeccaStrauch__GISP
MVP Esteemed Contributor

and here are a couple thread that Robert referred to that he has helped on before

Extracting new developer edition   was using a different unzip program

Web AppBuilder v2 Installation Error    extracting to an incorrect folder

AndyBohnhoff
New Contributor II

Rebecca/Robert - I extracted to the root C: drive and of course that worked! Thanks to you both.

0 Kudos